Bug 1731022 (CVE-2019-13619) - CVE-2019-13619 wireshark: ASN.1 BER dissector crash (wnpa-sec-2019-20)
Summary: CVE-2019-13619 wireshark: ASN.1 BER dissector crash (wnpa-sec-2019-20)
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-13619
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1731023 1738827
Blocks: 1731025
TreeView+ depends on / blocked
 
Reported: 2019-07-18 07:15 UTC by Dhananjay Arunesh
Modified: 2021-06-29 20:20 UTC (History)
11 users (show)

Fixed In Version: Wireshark 3.0.3, Wireshark 2.6.10, Wireshark 2.4.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-29 20:20:24 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-18 07:15:51 UTC
A vulnerability was found in Wireshark 3.0.0 to 3.0.2, 2.6.0 to 2.6.9, and 2.4.0 to 2.4.15, the ASN.1 BER dissector and related dissectors could crash. This was addressed in epan/asn1.c by properly restricting buffer increments.

Upstream commit:
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=7e90aed666e809c0db5de9d1816802a7dcea28d9

Comment 1 Dhananjay Arunesh 2019-07-18 07:16:04 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1731023]

Comment 2 Dhananjay Arunesh 2019-07-18 07:16:21 UTC
External References:

https://www.wireshark.org/security/wnpa-sec-2019-20.html

Comment 4 Stefan Cornelius 2019-08-08 09:00:18 UTC
Statement:

This issue affects the versions of wireshark as shipped with Red Hat Enterprise Linux 8.


Note You need to log in before you can comment on or make changes to this bug.